Highlight settings contained in RC Page URLs fail to load
Closed, ResolvedPublic

Description

  1. In Google Chrome, with the New Filters beta, go to en.wiki RC Page and make the following settings:
  2. Filters: Page Creations and Unregistered, 500 results, 7 days
  3. Highlight (only): V. Likely Good, May have Problems,
  4. Get results.
  5. Copy URL ( E.g., here is the URL I got )
  6. Open a new tab and paste URL into new tab. Return.

Expected results: load RC Page with all my settings.
Actual results: loads RC page with filter settings but no highlights.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2017, 10:56 PM

Change 353484 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Actually read/write highlight parameter

https://gerrit.wikimedia.org/r/353484

Change 353484 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Actually read/write highlight parameter

https://gerrit.wikimedia.org/r/353484

Checked in betalabs - &highlight is not dropped from url when pasting/bookmarked.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.May 12 2017, 8:28 PM

Change 353701 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@wmf/1.30.0-wmf.1] RCFilters: Actually read/write highlight parameter

https://gerrit.wikimedia.org/r/353701

Change 353701 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.1] RCFilters: Actually read/write highlight parameter

https://gerrit.wikimedia.org/r/353701

Mentioned in SAL (#wikimedia-operations) [2017-05-15T23:41:50Z] <bd808@tin> Synchronized php-1.30.0-wmf.1/resources/src/mediawiki.rcfilters/mw.rcfilters.Controller.js: RCFilters: Actually read/write highlight parameter (T165107) (duration: 00m 40s)